*{
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

body{
    width:100%;
    min-height: 100vh;
    background:linear-gradient(to right,rgb(186, 161, 113),rgb(151, 79, 79));
    background-position: center;
    background-size: cover;
    background-attachment: fixed;
    overflow: hidden;
}
/* body::-webkit-scrollbar{
    width: 0;
} */

.container{
    border-radius: 7px;
    overflow: hidden;
    padding: 10px 8px;
    background:linear-gradient(to top, #ada996, #f2f2f2, #ada996);
    width: 380px;
    margin: 5% auto;
    box-shadow: 0 6px 15px rgb(0,0,0,0.15);
    position: relative;
}

header{
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin: 5px 0 2rem 0;
    padding: 0 10px;
}

header .btn{
    width: 35px;
    height: 35px;
    border-radius: 50%;
    background:linear-gradient(60deg,rgb(182, 150, 90),rgb(147, 36, 55));
    color: white;
    cursor: pointer;
    border: none;
    box-shadow: 0 5px 10px rgba(255,26,26,0.22);
    transition: box-shadow 0.3s ease;
}

.central{
    margin:0 auto;
    text-align: center;
    width: 100%;
}

img{
    width:210px;
    height: 210px;
    border-radius: 50%;
    border: 3px solid rgb(255, 255, 255);
    box-shadow: 3.3px 6.6px 6.6px hsl(0deg 0% 0% / 0.40);
    margin:10px 0;
    transition: all ease-in-out;
}

.rotate{
    animation: rotation 8s infinite linear;
    transform-origin:center;
}

@keyframes rotation{
    from{
        transform: rotate(0deg);
    }
    to{
        transform: rotate(359deg);
    }
}

.songName{
    font-family:Georgia, 'Times New Roman', Times, serif ;
    margin-bottom:5px;
    font-weight: 500;
    font-size: 25px;
}

.artistName{
    font-size: 18px;
    opacity: 0.7;
}

.central .artist{
    margin-bottom: 25px;  /*make it 5px*/
}

input{
    -webkit-appearance: none;
    height: 4px;
    width: 85%;
    border-radius: 5px;
    cursor: pointer;
    background:linear-gradient(to right,rgb(182, 150, 90),rgb(177, 79, 96));
}

input::-webkit-slider-thumb{
    -webkit-appearance: none;
    width: 12px;
    height: 12px;
    border-radius: 50%;
    background:rgb(147, 36, 55);
    border: 2px solid whitesmoke;
    box-shadow: 1.1px 2.2px 2.2px hsl(0deg 0% 0% / 0.47);
}

.timer{
    margin:0 auto;
    width: 85%;
    display:flex;
    justify-content: space-between;
    font-size: small;
}

.controls{
    width: 85%;
    margin:5px auto 15px;
    align-items: center;
    position: relative;
}

.btnControls{
    font-size: 12px;
    width: 30px;
    height: 30px;
    border-radius: 50%;
    border: 0;
    outline: 0;
    cursor: pointer;
    color: whitesmoke;
    box-shadow: 0 1px 5px rgba(255,26,26,0.22);
    background: linear-gradient(30deg,#232526,#414345);
    margin:0 8px;
}
.controls .repeat{
    position: absolute;
    left: 5px;
    top:18px;
    color:red;
}

.controls .loop{
    position: absolute;
    font-size: 6px;
    left:7px;
    top:5px;
}
.controls .moreSongs{
    position: absolute;
    right: 5px;
    top:18px;
    color: red;
}

.controls i{
    cursor: pointer;  
}

.back i{
    margin-left: -3px;
}
.next i{
    margin-left: 3px;
}
.play{
    background:linear-gradient(60deg,rgb(182, 150, 90),rgb(147, 36, 55));
    width: 50px;
    height: 50px;
    font-size: 20px;
}

.play i{
    margin-right: -4px;
    align-items: center;
}

.play .fa-pause{
    margin-left: -3px;
    align-items: center;

}
.musicList{
    position: absolute;
    left: 0;
    bottom: -50%;
    pointer-events: none;      /*important for disabling the events*/
    opacity: 0;
    width: 100%;
    padding: 12px 25px;
    border-radius: 7px;
    background:linear-gradient(45deg, #ada996, #eae9e9, #f2f2f2,#dddada,#DBDBDB, #ada996);
    box-shadow: 0 -5px 10px rgba(0,0,0,0.1);
    transition: all 0.1s ease-in-out;
}

.show{
    bottom: 0;
    opacity: 1;
    pointer-events: auto;
}

.musicList ul{
    max-height: 300px;
    overflow-y: auto;
}

.musicList ul::-webkit-scrollbar{
    width: 0;
}
.musicList .cross{
    cursor: pointer;
}

.musicList .headline{
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 15px;
    font-size: 18px;
    color: #3c3636;
}

.musicList .headline .left{
   align-items: center;
}

.musicList .headline span{
    margin-left: 8px;
}

ul li{
    cursor: pointer;
    list-style: none;
    display: flex;
    justify-content: space-between;
    align-items: center;
    border-bottom: 1px solid #615e5e;
    margin-bottom: 8px;
}

.currentSongPlaying{
   color: rgb(117, 117, 200);
}
ul li .musicName{
    text-align:left;
}

ul li:last-child{
    border-bottom: 0px;
    margin-bottom: 0;
}

ul li p{
    opacity: 0.6;
    font-family:system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
}

ul li span{
    font-family:Cambria, Cochin, Georgia, Times, 'Times New Roman', serif;
    font-size: 18px;
    font-weight: 500;
}
ul li time{
    font-size: 12px;
}